Select * From 
(Select
    'CAMC' As AMC_TYPE,
    FRAME_ID As AMC_ID,
    WEDGE_CS_FRAME.LOGICAL_NAME As AMC_LNAME,
    WEDGE_CS_FRAME.PHYSICAL_NAME As AMC_PNAME,
    WEDGE_CS_CRULE.ID As ID,
    WEDGE_CS_CRULE.LOGICAL_NAME,
    WEDGE_CS_CRULE.PHYSICAL_NAME
    From WEDGE_CS_CRULE, WEDGE_CS_FRAME
    Where BASECLASS_ID = ?
    And WEDGE_CS_CRULE.FRAME_ID = WEDGE_CS_FRAME.ID
    And Not WEDGE_CS_FRAME.FRAME_TYPE Is null
    )
Union ALL Select * From
(Select
    'SAMC' As AMC_TYPE,
    SERVERSUB_ID As AMC_ID,
    WEDGE_CS_SERVERSUB.LOGICAL_NAME As AMC_LNAME,
    WEDGE_CS_SERVERSUB.PHYSICAL_NAME As AMC_PNAME,
    WEDGE_CS_SRULE.ID As ID,
    WEDGE_CS_SRULE.LOGICAL_NAME,
    WEDGE_CS_SRULE.PHYSICAL_NAME
    From WEDGE_CS_SRULE, WEDGE_CS_SERVERSUB
    Where BASECLASS_ID = ?
    And WEDGE_CS_SRULE.SERVERSUB_ID = WEDGE_CS_SERVERSUB.ID
    )
Union ALL Select * From
(Select
    'SMC' As AMC_TYPE,
    BATCH_SUB_ID As AMC_ID,
    WEDGE_BAT_SUB.LOGICAL_NAME As AMC_LNAME,
    WEDGE_BAT_SUB.PHYSICAL_NAME As AMC_PNAME,
    WEDGE_BAT_RULE.ID As ID,
    WEDGE_BAT_RULE.LOGICAL_NAME,
    WEDGE_BAT_RULE.PHYSICAL_NAME
    From WEDGE_BAT_RULE, WEDGE_BAT_SUB
    Where BASECLASS_ID = ?
    And WEDGE_BAT_RULE.BATCH_SUB_ID = WEDGE_BAT_SUB.ID
    )
Union All Select * From
(Select
    'HAMC' As AMC_TYPE,
    FRAME_ID As AMC_ID,
    WEDGE_CS_FRAME.LOGICAL_NAME As AMC_LNAME,
    WEDGE_CS_FRAME.PHYSICAL_NAME As AMC_PNAME,
    WEDGE_CS_CRULE.ID As ID,
    WEDGE_CS_CRULE.LOGICAL_NAME,
    WEDGE_CS_CRULE.PHYSICAL_NAME
    From WEDGE_CS_CRULE, WEDGE_CS_FRAME
    Where BASECLASS_ID = ?
    And WEDGE_CS_CRULE.FRAME_ID = WEDGE_CS_FRAME.ID
    And WEDGE_CS_FRAME.FRAME_TYPE Is null
    )
